#include "mainwindow.h"
#include <QApplication>
#include <QDebug>
#include <QDate>
#include <QDateTime>
#include <QTimeZone>

int main(int argc, char *argv[])
{
    QApplication a(argc, argv);

    QDate date(1,1,1);
    qDebug()<<"date.isValid()="<<date.isValid()<<endl;
    QTime time(0,0,0);
    qDebug()<<"time.isValid()="<<time.isValid()<<endl;
    QTimeZone timeZone = QTimeZone("Australia/Sydney");
    qDebug()<<"timeZone.isValid()"<<timeZone.isValid()<<endl;
    QDateTime dateTime(date,time,timeZone);

    MainWindow w;
    w.show();

    return a.exec();
}
